summaryrefslogtreecommitdiff
path: root/plugins/last-working-dir/last-working-dir.plugin.zsh
diff options
context:
space:
mode:
authorMarc Cornellà <marc.cornella@live.com>2016-09-28 18:30:46 +0200
committerMarc Cornellà <marc.cornella@live.com>2016-09-30 20:11:17 +0200
commitfb6738a7e1d476ec9a74b0e8a04f5252f9de91fe (patch)
tree319decf01f4e11275cfb444bf4aa2cbc9371cb84 /plugins/last-working-dir/last-working-dir.plugin.zsh
parent8ea56633a40411d1b43127b9cd88e8851edaf922 (diff)
downloadzsh-fb6738a7e1d476ec9a74b0e8a04f5252f9de91fe.tar.gz
zsh-fb6738a7e1d476ec9a74b0e8a04f5252f9de91fe.tar.bz2
zsh-fb6738a7e1d476ec9a74b0e8a04f5252f9de91fe.zip
last-working-dir: don't jump if not in $HOME
Diffstat (limited to 'plugins/last-working-dir/last-working-dir.plugin.zsh')
-rw-r--r--plugins/last-working-dir/last-working-dir.plugin.zsh12
1 files changed, 7 insertions, 5 deletions
diff --git a/plugins/last-working-dir/last-working-dir.plugin.zsh b/plugins/last-working-dir/last-working-dir.plugin.zsh
index c5278d640..e882b288f 100644
--- a/plugins/last-working-dir/last-working-dir.plugin.zsh
+++ b/plugins/last-working-dir/last-working-dir.plugin.zsh
@@ -14,8 +14,10 @@ lwd() {
[[ -r "$cache_file" ]] && cd "$(cat "$cache_file")"
}
-# Automatically jump to last working directory unless this
-# isn't the first time this plugin has been loaded.
-if [[ -z "$ZSH_LAST_WORKING_DIRECTORY" ]]; then
- lwd 2>/dev/null && ZSH_LAST_WORKING_DIRECTORY=1 || true
-fi
+# Jump to last directory automatically unless:
+# - this isn't the first time the plugin is loaded
+# - it's not in $HOME directory
+[[ -n "$ZSH_LAST_WORKING_DIRECTORY" ]] && return
+[[ "$PWD" != "$HOME" ]] && return
+
+lwd 2>/dev/null && ZSH_LAST_WORKING_DIRECTORY=1 || true